# Visualization
TKV2d
AIS2D

# AIS2D_LocalStatus Class Reference

Stored Info about temporary objects.
.

`#include <AIS2D_LocalStatus.hxx>`

## Public Member Functions

Standard_EXPORT | AIS2D_LocalStatus (const Standard_Boolean isTemporary=Standard_True, const Standard_Boolean Decompose=Standard_False, const Standard_Integer DMode=-1, const Standard_Integer SMode=-1, const AIS2D_TypeOfDetection HMode=AIS2D_TOD_PRIMITIVE, const Standard_Boolean SubIntensity=0, const Quantity_NameOfColor HighlCol=Quantity_NOC_WHITE)
| Initializes the default Local Status .
Standard_Boolean | Decomposed () const
Standard_Boolean | IsTemporary () const
Standard_Integer | DisplayMode () const
AIS2D_PToListOfInt | SelectionModes ()
Standard_EXPORT Standard_Boolean | IsActivated (const Standard_Integer aSelMode) const
AIS2D_TypeOfDetection | HighlightMode () const
Standard_Boolean | IsSubIntensityOn () const
Quantity_NameOfColor | HighlightColor () const
Standard_Boolean | IsFirstDisplay () const
void | SetDecomposition (const Standard_Boolean aStatus)
void | SetTemporary (const Standard_Boolean aStatus)
void | SetDisplayMode (const Standard_Integer aMode)
void | SetFirstDisplay (const Standard_Boolean aStatus)
Standard_EXPORT void | AddSelectionMode (const Standard_Integer aMode)
Standard_EXPORT void | RemoveSelectionMode (const Standard_Integer aMode)
Standard_EXPORT void | ClearSelectionModes ()
Standard_EXPORT Standard_Boolean | IsSelModeIn (const Standard_Integer aMode) const
void | SetHighlightMode (const AIS2D_TypeOfDetection aMode)
void | SetHighlightColor (const Quantity_NameOfColor aHiCol)
void | SubIntensityOn ()
Standard_EXPORT void | SubIntensityOff ()
Standard_EXPORT void | SetPreviousState (const Handle(Standard_Transient)&aStatus)
Handle_Standard_Transient | PreviousState () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | myDecomposition
Standard_Boolean | myIsTemporary
Standard_Integer | myDMode
Standard_Boolean | myFirstDisplay
AIS2D_TypeOfDetection | myHMode
TColStd_ListOfInteger | mySModes
Standard_Boolean | mySubIntensity
Quantity_NameOfColor | myHighlCol
Handle_Standard_Transient | myPrevState

## Constructor & Destructor Documentation

Standard_EXPORT AIS2D_LocalStatus::AIS2D_LocalStatus | ( | const Standard_Boolean | isTemporary = `Standard_True`,
|  | const Standard_Boolean | Decompose = `Standard_False`,
|  | const Standard_Integer | DMode = `-1`,
|  | const Standard_Integer | SMode = `-1`,
|  | const AIS2D_TypeOfDetection | HMode = `AIS2D_TOD_PRIMITIVE`,
|  | const Standard_Boolean | SubIntensity = `0`,
|  | const Quantity_NameOfColor | HighlCol = `Quantity_NOC_WHITE`
| ) |

## Member Function Documentation

Standard_EXPORT void AIS2D_LocalStatus::AddSelectionMode | ( | const Standard_Integer | aMode | ) |

Standard_EXPORT void AIS2D_LocalStatus::ClearSelectionModes | ( |  | ) |

Standard_Boolean AIS2D_LocalStatus::Decomposed | ( |  | ) | const`[inline]`

Standard_Integer AIS2D_LocalStatus::DisplayMode | ( |  | ) | const`[inline]`

Standard_EXPORT const AIS2D_LocalStatus::Handle | ( | Standard_Type |  | ) | const

Quantity_NameOfColor AIS2D_LocalStatus::HighlightColor | ( |  | ) | const`[inline]`

AIS2D_TypeOfDetection AIS2D_LocalStatus::HighlightMode | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean AIS2D_LocalStatus::IsActivated | ( | const Standard_Integer | aSelMode | ) | const

Standard_Boolean AIS2D_LocalStatus::IsFirstDisplay | ( |  | ) | const`[inline]`

Standard_EXPORT Standard_Boolean AIS2D_LocalStatus::IsSelModeIn | ( | const Standard_Integer | aMode | ) | const

Standard_Boolean AIS2D_LocalStatus::IsSubIntensityOn | ( |  | ) | const`[inline]`

Standard_Boolean AIS2D_LocalStatus::IsTemporary | ( |  | ) | const`[inline]`

Handle_Standard_Transient AIS2D_LocalStatus::PreviousState | ( |  | ) | const

Standard_EXPORT void AIS2D_LocalStatus::RemoveSelectionMode | ( | const Standard_Integer | aMode | ) |

AIS2D_PToListOfInt AIS2D_LocalStatus::SelectionModes | ( |  | ) | `[inline]`

void AIS2D_LocalStatus::SetDecomposition | ( | const Standard_Boolean | aStatus | ) | `[inline]`

void AIS2D_LocalStatus::SetDisplayMode | ( | const Standard_Integer | aMode | ) | `[inline]`

void AIS2D_LocalStatus::SetFirstDisplay | ( | const Standard_Boolean | aStatus | ) | `[inline]`

void AIS2D_LocalStatus::SetHighlightColor | ( | const Quantity_NameOfColor | aHiCol | ) | `[inline]`

void AIS2D_LocalStatus::SetHighlightMode | ( | const AIS2D_TypeOfDetection | aMode | ) | `[inline]`

Standard_EXPORT void AIS2D_LocalStatus::SetPreviousState | ( | const Handle(Standard_Transient)& | aStatus | ) |

void AIS2D_LocalStatus::SetTemporary | ( | const Standard_Boolean | aStatus | ) | `[inline]`

Standard_EXPORT void AIS2D_LocalStatus::SubIntensityOff | ( |  | ) |

void AIS2D_LocalStatus::SubIntensityOn | ( |  | ) | `[inline]`

## Field Documentation

Standard_Boolean AIS2D_LocalStatus::myDecomposition `[private]`

Standard_Integer AIS2D_LocalStatus::myDMode `[private]`

Standard_Boolean AIS2D_LocalStatus::myFirstDisplay `[private]`

Quantity_NameOfColor AIS2D_LocalStatus::myHighlCol `[private]`

AIS2D_TypeOfDetection AIS2D_LocalStatus::myHMode `[private]`

Standard_Boolean AIS2D_LocalStatus::myIsTemporary `[private]`

Handle_Standard_Transient AIS2D_LocalStatus::myPrevState `[private]`

TColStd_ListOfInteger AIS2D_LocalStatus::mySModes `[private]`

Standard_Boolean AIS2D_LocalStatus::mySubIntensity `[private]`

The documentation for this class was generated from the following files:

- AIS2D_LocalStatus.hxx
- AIS2D_LocalStatus.lxx